Crystal Space: iSprite2DUVAnimation Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSprite2DUVAnimation Struct Reference
[Mesh plugins]

The animation works by having all frames of an animation sequence in a texture at different (u,v) locations, hence the name. More...

`#include <imesh/sprite2d.h>`

Inheritance diagram for iSprite2DUVAnimation:

[legend]
List of all members.

## Public Member Functions
virtual iSprite2DUVAnimationFrame * | CreateFrame (int idx)=0
| Create a new frame that will be inserted before the idx'th frame.
virtual iSprite2DUVAnimationFrame * | GetFrame (const char *name)=0
| Get the frame name in the animation.
virtual iSprite2DUVAnimationFrame * | GetFrame (int idx)=0
| Get the idx'th frame in the animation.
virtual int | GetFrameCount ()=0
| Retrieve the number of frames in this animation.
virtual const char * | GetName () const =0
| return the name of this sequence.
virtual void | MoveFrame (int frame, int idx)=0
| Move the frame'th frame before the idx'th frame.
virtual void | RemoveFrame (int idx)=0
| Remove the idx'th from the animation.
virtual void | SetName (const char *name)=0
| Give this sequence a name.

## Detailed Description

The animation works by having all frames of an animation sequence in a texture at different (u,v) locations, hence the name.

So it is basically a set of (u,v) coordinates plus a duration number. for every frame.

Definition at line 122 of file sprite2d.h.

## Member Function Documentation

virtual iSprite2DUVAnimationFrame* iSprite2DUVAnimation::CreateFrame | ( | int | idx | ) | `[pure virtual]`

Create a new frame that will be inserted before the idx'th frame.

Set `idx' to -1 to append the frame to the sequence.

virtual iSprite2DUVAnimationFrame* iSprite2DUVAnimation::GetFrame | ( | const char * | name | ) | `[pure virtual]`

Get the frame name in the animation.

virtual iSprite2DUVAnimationFrame* iSprite2DUVAnimation::GetFrame | ( | int | idx | ) | `[pure virtual]`

Get the idx'th frame in the animation.

Set idx to -1 to get the current to be played.

virtual int iSprite2DUVAnimation::GetFrameCount | ( |  | ) | `[pure virtual]`

Retrieve the number of frames in this animation.

virtual const char* iSprite2DUVAnimation::GetName | ( |  | ) | const`[pure virtual]`

return the name of this sequence.

virtual void iSprite2DUVAnimation::MoveFrame | ( | int | frame,
|  | int | idx |
| ) |  |  | `[pure virtual]`

Move the frame'th frame before the idx'th frame.

Set idx to -1 to move the frame to the end of the sequence.

virtual void iSprite2DUVAnimation::RemoveFrame | ( | int | idx | ) | `[pure virtual]`

Remove the idx'th from the animation.

virtual void iSprite2DUVAnimation::SetName | ( | const char * | name | ) | `[pure virtual]`

Give this sequence a name.

The documentation for this struct was generated from the following file:

- imesh/sprite2d.h